libabw::ABWContentTableState Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libabw::ABWContentTableState Struct Reference

`#include <ABWContentCollector.h>`

## Public Member Functions
| ABWContentTableState ()
| ABWContentTableState (const ABWContentTableState &ts)
| ~ABWContentTableState ()

## Public Attributes
ABWPropertyMap | m_currentTableProperties
ABWPropertyMap | m_currentCellProperties
int | m_currentTableCol
int | m_currentTableRow
int | m_currentTableCellNumberInRow
int | m_currentTableId
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
bool | m_isCellWithoutParagraph
bool | m_isRowWithoutCell

## Constructor & Destructor Documentation

## ◆ ABWContentTableState() [1/2]

libabw::ABWContentTableState::ABWContentTableState | ( |  | ) |

## ◆ ABWContentTableState() [2/2]

libabw::ABWContentTableState::ABWContentTableState | ( | const ABWContentTableState & | ts | ) |

## ◆ ~ABWContentTableState()

libabw::ABWContentTableState::~ABWContentTableState | ( |  | ) |

## Member Data Documentation

## ◆ m_currentCellProperties

ABWPropertyMap libabw::ABWContentTableState::m_currentCellProperties

## ◆ m_currentTableCellNumberInRow

int libabw::ABWContentTableState::m_currentTableCellNumberInRow

## ◆ m_currentTableCol

int libabw::ABWContentTableState::m_currentTableCol

## ◆ m_currentTableId

int libabw::ABWContentTableState::m_currentTableId

## ◆ m_currentTableProperties

ABWPropertyMap libabw::ABWContentTableState::m_currentTableProperties

## ◆ m_currentTableRow

int libabw::ABWContentTableState::m_currentTableRow

## ◆ m_isCellWithoutParagraph

bool libabw::ABWContentTableState::m_isCellWithoutParagraph

## ◆ m_isRowWithoutCell

bool libabw::ABWContentTableState::m_isRowWithoutCell

## ◆ m_isTableCellOpened

bool libabw::ABWContentTableState::m_isTableCellOpened

## ◆ m_isTableColumnOpened

bool libabw::ABWContentTableState::m_isTableColumnOpened

## ◆ m_isTableRowOpened

bool libabw::ABWContentTableState::m_isTableRowOpened

The documentation for this struct was generated from the following files:

- ABWContentCollector.h
- ABWContentCollector.cpp